Subject: Ticket Assigned - MOE / Sterliser fixing
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 19 Nov 2021 07:07:19 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  MOE / Sterliser fixing Greetings,

I sent a Tommee Tippee sterliser  to Emirates  mall branch last Tuesday for
fixing as it's not working they told me maximum 1 week but till now I
didn't hear from them
I don't want to go there if it's not ready
so is there a way to contact them as the number on the store locater Is not
valid and your customer care told me it's not there bussiness

Thank you

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3308769